Module
Contents
Index 🔎︎
\<bookmark_value\>DateDiff function\</bookmark_value\>

# DateDiff Function

Returns the number of date intervals between two given date values.

## Syntax:

    DateDiff (Add, Date1, Date2 [, Week_start [, Year_start]])

## Return value:

A number.

## Parameters:

\<emph\>Add\</emph\> - A string expression from the following table, specifying the date interval.

Add (string value) | Explanation
yyyy | Year
q | Quarter
m | Month
y | Day of year
w | Weekday
ww | Week of year
d | Day
h | Hour
n | Minute
s | Second

\<emph\>Date1, Date2\</emph\> - The two date values to be compared.

\<emph\>Week_start\</emph\> - An optional parameter that specifies the starting day of a week.

Week_start value | Explanation
0 | Use system default value
1 | Sunday (default)
2 | Monday
3 | Tuesday
4 | Wednesday
5 | Thursday
6 | Friday
7 | Saturday

\<emph\>Year_start\</emph\> - An optional parameter that specifies the starting week of a year.

Year_start value | Explanation
0 | Use system default value
1 | Week 1 is the week with January, 1st (default)
2 | Week 1 is the first week containing four or more days of that year
3 | Week 1 is the first week containing only days of the new year

## Example:

    Sub example_datediff

        MsgBox DateDiff("d", "1/1/2005", "12/31/2005")

    End Sub